package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.lite.service.impl.TableSyncServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.core.lite.domain.TableSync;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[ETL表同步] 自定义服务对象
 */
@Slf4j
@Primary
@Service("TableSyncExService")
public class TableSyncExService extends TableSyncServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * [Sync:Sync] 行为扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public TableSync sync(TableSync et) {
        return super.sync(et);
    }
}

